# RedirectFetchException.RedirectExceptionReason (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Enum RedirectFetchException.RedirectExceptionReason

- java.lang.Object
- - java.lang.Enum<RedirectFetchException.RedirectExceptionReason>
  - - crawlercommons.fetcher.RedirectFetchException.RedirectExceptionReason

All Implemented Interfaces:
  Serializable, Comparable<RedirectFetchException.RedirectExceptionReason>

Enclosing class:
  RedirectFetchException

    public static enum RedirectFetchException.RedirectExceptionReason
    extends Enum<RedirectFetchException.RedirectExceptionReason>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PERM_REDIRECT_DISALLOWED`
`SEE_OTHER_DISALLOWED`
`TEMP_REDIRECT_DISALLOWED`
`TOO_MANY_REDIRECTS`

### Method Summary

Methods
`static RedirectFetchException.RedirectExceptionReason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RedirectFetchException.RedirectExceptionReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TOO_MANY_REDIRECTS

    public static final RedirectFetchException.RedirectExceptionReason TOO_MANY_REDIRECTS

#### PERM_REDIRECT_DISALLOWED

    public static final RedirectFetchException.RedirectExceptionReason PERM_REDIRECT_DISALLOWED

#### TEMP_REDIRECT_DISALLOWED

    public static final RedirectFetchException.RedirectExceptionReason TEMP_REDIRECT_DISALLOWED

#### SEE_OTHER_DISALLOWED

    public static final RedirectFetchException.RedirectExceptionReason SEE_OTHER_DISALLOWED

### Method Detail

#### values

    public static RedirectFetchException.RedirectExceptionReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RedirectFetchException.RedirectExceptionReason c : RedirectFetchException.RedirectExceptionReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RedirectFetchException.RedirectExceptionReason valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null